<?php
function rePopulatePassword($validationOutput, $password)
{
    if (isset($validationOutput["re_populate"])) {
        echo $password;
    }
}
?>
<html>

<head>
    <title>Change Password</title>
    <link rel="stylesheet" type="text/css" href="css/style.css" />
    <link rel="stylesheet" type="text/css" href="css/form.css" />
    <style>
        .page-top-spacing {
            margin-top: 60px;
        }

        .btn-view-password {
            background-color: #2cd1ff;
            border-color: #8ebfff70 #3da2ff00 #007ede30;
            margin: 20px 0px 10px 0px;
        }
    </style>
</head>

<body>
    <h2 class="text-center page-top-spacing">PHP Password Strength Validator</h2>

    <div class="phppot-container tile-container">
        <form name="frmChange" method="post" action="" onSubmit="return validatePassword()">

            <div>
                <div class="row">
                    <label class="inline-block">New Password</label>
                    <input type="password" name="password" class="password-input full-width" value="<?php if (!empty($_POST["password"])) {
                                                                                                        rePopulatePassword($validationOutput, $_POST["password"]);
                                                                                                    } ?>">

                </div>
                <div class="row">
                    <label class="inline-block">Confirm Password</label>
                    <input type="password" name="confirm_password" class="password-input full-width" value="<?php if (!empty($_POST["password"])) {
                                                                                                                rePopulatePassword($validationOutput, $_POST["confirm_password"]);
                                                                                                            } ?>">

                </div>
                <div class="row">
                    <input type="submit" name="validate_password" value="Submit" class="full-width">
                </div>
            </div>

        </form>
    </div>

    <?php if (isset($validationOutput)) { ?>
        <div class="phppot-message phppot-container <?php echo $validationOutput["type"]; ?>"><?php echo $validationOutput["ack"]; ?></div>
    <?php } ?>

</body>

</html>